/*
Desenvolva uma função que retorne o menor
valor único. Se o menor valor do vetor,
recebido pela função, ocorrer mais de uma vez,
então a função deve retornar -1. Se o valor
ocorrer somente uma vez (único), então retorna
o índice do elemento.
O vetor passado como parâmetro é de inteiros

*/

int menor_valor_unico(int *valores, int n) {
    int i=1, cont=0, indice=0;
    int menor = valores[0];
    for (;i < n; i++) {
        if (valores[i]<menor) {
           menor = valores[i];
           indice = i;
        }
    }
    for (i=0; i < n; i++)
        if (valores[i] == menor)
            cont++;
    if (cont==1)
       return indice;
    else
       return -1;
}

void main(void) {
    int vetor[]={4, 3, 5, 6, 9, 3};
    int resposta = menor_valor_unico(vetor, 6);
    printf("\n%d", resposta);
}
